<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateE3scameraTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('e3scamera', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string("ip");
            $table->string("mac");
            $table->string("group");
            $table->string("name");
            $table->string("imgserver");
            $table->string("rtmp_stream");
            $table->integer("threshold");
            $table->string("roi_top");
            $table->string("roi_bottom");
            $table->string("roi_left");
            $table->string("roi_right");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('e3scamera');
    }
}
